Home Product Purchase Support Testimonials Contact

How to get the properties of a dynamic block ?

(defun C:DYBLOCK( / dynBlock dynProp)

(setq dynBlock (vlax-ename->vla-object (car (entsel))))

(setq dynProp (vlax-invoke dynBlock 'getDynamicBlockProperties))

(foreach _dynProp dynProp

(print (cons (vla-get-PropertyName _dynProp) (vlax-get _dynProp 'AllowedValues)))

)

(princ)

)

Try or Buy

Product Information

CADSTA Max

CADSTA Max Features

Loading ARX, DBX & .NET with CADSTA Max

Loading ARX, DBX & .NET via Appload

Loading ARX & DBX via arxload

Loading .NET assembly via Netload

CADSTAMax.rx & ACAD.rx

Using AutoLISP with CADSTA Max

CADSTA Max Startup Suite

SafeArray & Variant

VLA Functions (A), (B-G)

VLA Functions (G cont.1), (G cont. 2)

VLA Functions (G cont.3), (G cont. 4)

VLA Functions (G cont.5), (G cont. 6)

VLA Functions (G cont.7), (G cont. 8)

VLA Functions (G cont.9), (G cont.10)

VLA Functions (P), (P cont.1)

VLA Functions (P cont.2), (P cont.3)

VLA Functions (P cont.4), (P cont.5)

VLA Functions (P cont.6), (P cont.7)

VLA Functions (S)

VLA Functions (VLAX cont.1)

● CADSTA Max Samples

CADSTA Elements Features

CADSTA Tools Features

Search

Enter search words

Sign Up For Newsletter

Click here to sign up for our newsletter.

Follow Us